package com.ruoyi.framework.config.handler;

/**
 * @Author 吴凯程
 * @Date 2024/12/26
 **/

public class DynamicTableNameHelper {

    private static final ThreadLocal<String> REQUEST_TABLE = new ThreadLocal<>();

    public static void setRequestTable(String name) {
        REQUEST_TABLE.set(name);
    }

    public static String getRequestTable() {
        return REQUEST_TABLE.get();
    }

    public static void remove() {
        REQUEST_TABLE.remove();
    }
}
